car
{
  name=VAudi 100 C3 FL 2.2i + LPG (Avant)
  year=1989(0-100:9,8 s.;vmax:199km/h)
  credits=Converted by Fabikan75;Model By   
  comments=Poj:2226 cc;Tor:185Nm @ 3500rpm;Pow:138KM(101Kw)@ 5700 rpm.
  id=okular
  version=050f
  wheels=4

  skid
  {
    sample=skid.wav
  }
  shadow
  {
    texture=shadow.tga
    width=0
    length=0
  }
  cg
  {
    x=0
    y=-0.198
    z=0.02
  }
  ff_factor=0.20
}
graphics 
{
  shadow 
  {
    texture=shadow.tga
    model
    {
      file=body.dof
    }
  }

	generic
	{
		model0
		{
		file=b.dof
		}
		model1
		{
		file=le.dof
		}
		model2
		{
		file=pe.dof
		}
		model3
		{
		file=sht.dof
		}
    		model4
    		{
      		file=si8l.dof
    		}

	}
     }
  }


;----------------------------------------------------------------------
;Body:}
body
{
  mass=1290	
  restitution_coeff=0.25
  inertia
  {
    x=2510	
    y=2750		
    z=470	
  }
  model
  {
    file=body.dof
    offset
    {
    x=0.0
    y=0.09
    z=0.0
    }
  }
  model_incar
  {
    file=
  }
  model_light_l
  {
    file=lights.dof
    offset
    {
    x=0.0
    y=0.09
    z=0.0
    }
  }
  model_braking_l
  {
    file=stop.dof
    offset
    {
    x=0.0
    y=0.09
    z=0.0
    }
  }
  width=1.799
  height=1.433
  length=4.795
  manual_box=1
}

;----------------------------------------------------------------------
;Steer:

steer
{
  x=0.41
  y=0.15
  z=0.45
  radius=12
  xa=15
  lock=360
  linearity=0.3
  model
  {
    file=kierownica.dof
  }
}


;----------------------------------------------------------------------
;Engine:

engine
{
  mass=0
  idle_rpm=800
  max_rpm=6500
  max_torque=185
  
  sample=acc-320.wav
  sample_rpm=4800

  curve_torque=torque.crv
  autoclutch_rpm=1750
  starter=1
  starter_torque=65
  start_stalled=1
  stall_rpm=500
  start_rpm=750
  reaction=0
  shifting
  {
    automatic=0
    shift_up_rpm=6800
    shift_down_rpm=1110
    time_to_declutch=65
    time_to_clutch=65
  }
  inertia
  {
    engine=0.39
    final_drive=1.25
  }
  braking_coeff=2.5
}
;-----------------------------------------------------------------------------------
;Audio:

audio
{
  skid
  {
    sample=Skid.wav
    volume=0.7
  }
  shiftout
  {
    sample=Shift_Out.wav
  }
  acc_all
  {
    attack=1650
    decay=1650
  }
;Dźwięk z zewnątrz
  accelerate_out
  {
    volume=2
    smp0~audio.acc_all
    {
      sample=Dzwiek/1000.wav
      min=1000
      max=1001
      natural=1000
      volume=2
    }
    smp1~audio.acc_all
    {
      sample=Dzwiek/2000.wav
      min=2000
      max=2001
      natural=2200
      volume=2
    }
    smp2~audio.acc_all
    {
      sample=Dzwiek/3000.wav
      min=3000
      max=3001
      natural=3400
      volume=2
    }
    smp3~audio.acc_all
    {
      sample=Dzwiek/4000.wav
      min=4000
      max=4001
      volume=2
      natural=4500
    }
    smp4~audio.acc_all
    {
      sample=Dzwiek/5000.wav
      min=5200
      max=5201
      volume=2
      natural=5500
    }
    smp5~audio.acc_all
    {
      sample=Dzwiek/MAX.wav
      min=6500
      max=6501
      volume=2
      natural=6500
    }
  }
;ZEJŚCIA
  decelerate_out
  {
    volume=1
    smp0~audio.acc_all
    {
      sample=Dzwiek/1000.wav
      min=1000
      max=1001
      natural=1000
      volume=0.8
    }
    smp1~audio.acc_all
    {
      sample=Dzwiek/2000.wav
      min=2000
      max=2001
      natural=2600
      volume=0.8
    }
    smp2~audio.acc_all
    {
      sample=Dzwiek/4000.wav
      min=4000
      max=4001
      natural=3750
      volume=0.85
    }
    smp3~audio.acc_all
    {
      sample=bo.wav
      min=5555
      max=5556
      volume=2
      natural=5200
    }
  }
;=====================================================Dźwięk z wnętrza==================================
  accelerate_in
  {
    volume=2
    smp0~audio.acc_all
    {
      sample=Dzwiek/1000.wav
      min=1000
      max=1001
      natural=1000
      volume=2
    }
    smp1~audio.acc_all
    {
      sample=Dzwiek/2000.wav
      min=2000
      max=2001
      natural=2200
      volume=2
    }
    smp2~audio.acc_all
    {
      sample=Dzwiek/3000.wav
      min=3000
      max=3001
      natural=3400
      volume=2
    }
    smp3~audio.acc_all
    {
      sample=Dzwiek/4000_int.wav
      min=4000
      max=4001
      volume=2
      natural=4500
    }
    smp4~audio.acc_all
    {
      sample=Dzwiek/5000_int.wav
      min=5500
      max=5501
      volume=2
      natural=5500
    }
    smp5~audio.acc_all
    {
      sample=Dzwiek/MAX_int.wav
      min=7900
      max=7901
      volume=2
      natural=6500
    }
  }
;Zejścia
  decelerate_in
  {
    volume=1
    smp0~audio.acc_all
    {
      sample=Dzwiek/1000.wav
      min=1000
      max=1001
      natural=1000
      volume=0.8
    }
    smp1~audio.acc_all
    {
      sample=Dzwiek/2000.wav
      min=2000
      max=2001
      natural=2600
      volume=0.8
    }
    smp2~audio.acc_all
    {
      sample=Dzwiek/4000.wav
      min=4000
      max=4001
      natural=3750
      volume=0.85
    }
    smp3~audio.acc_all
    {
      sample=bo.wav
      min=5555
      max=5556
      volume=2
      natural=5200
    }
  }
}
;----------------------------------------------------------------------
;Gearbox:

gearbox
{
  gears=6
  gear0
  {
    ratio=-3.800
    inertia=0.9
  }
  gear1
  {
    ratio=4.1
    inertia=0.13
  }
  gear2
  {
    ratio=2.6
    inertia=0.09
  }
  gear3
  {
    ratio=1.7
    inertia=0.07
  }
  gear4
  {
    ratio=1.3
    inertia=0.05
  }
  gear5
  {
    ratio=1.02
    inertia=0.02
  }
  end_ratio=3.07
}

;----------------------------------------------------------------------
;Clutch:

clutch
{
  max_torque=360
}

;----------------------------------------------------------------------
;handbrakes:

handbrakes
{
  wheels=23
}

;----------------------------------------------------------------------
;Differential:

differential
{
  type=1
  ratio=3.07
  locking_coeff=100
}

;----------------------------------------------------------------------
;Aero:

aero
{
  body
  {
    center=0 0 0
    cx=0.30
    area=1.75
  }
  wings=2
  wing0
  {
    name=rearspoiler
    span=1
    cord=1
    coeff_drag=2.8
    coeff_down=28
    center=0 0.15 -1.25
    angle=1
    angle_offset=0
  }
}
;----------------------------------------------------------------------
;Antirollbar

antirollbar 
{
  count=2
  arb0
  {
    susp_left=0
    susp_right=1
    k=12400
  }
  arb1
  {
    susp_left=2
    susp_right=3
    k=6100
  }
}

;----------------------------------------------------------------------
;Suspension front

susp_front   
{
  y=-0.2
  z=1.515
  restlen=0.332
  minlen=0.17
  maxlen=0.34
  k=27000
  bump_rate=1300
  rebound_rate=4950
  anti_pitch=0.15
  roll_center
  {
    x=0
    y=-0.53
    z=0
  }
}

susp0~susp_front
{
  x=0.76
}

susp1~susp_front
{
  x=-0.76
}
}

;----------------------------------------------------------------------
;Suspension rear


susp_rear  
{
  y=-0.2
  z=-1.35
  restlen=0.331
  minlen=0.125
  maxlen=0.34
  k=27000
  bump_rate=1800
  rebound_rate=6600
  anti_pitch=0.15
  roll_center
  {
    x=0
    y=-0.53
    z=0
  }
}

susp2~susp_rear
{
  x=0.76
}

susp3~susp_rear
{
  x=-0.76
}

;----------------------------------------------------------------------
;Tire model:


tire_model_front
{
  damping_predict_lat=0.492
  damping_predict_long=0.018
}
tire_model_rear
{
  damping_predict_lat=0.504
  damping_predict_long=0.020
}
pacejka
{
         a0=1.25
	a1=-35
	a2=1600
	a3=2000
	a4=8
	a5=0.015
	a6=-0.25
	a7=0.1
	a8=-0.03
	a9=-0.001
	a10=-0.15
	a111=-8.5
	a112=-0.29
	a12=17.8
	a13=-2.4
	b0=1.5
	b1=-70
	b2=1300
	b3=20
	b4=325
	b5=0.08
	b6=0
	b7=0.05
	b8=-0.025
	b9=0
	b10=0
	b11=0
	b12=0
	c0=2.2
	c1=-4
	c2=-3
	c3=-1
	c4=-7
	c5=0.0
	c6=0.0
	c7=0.044
	c8=-0.58
	c9=0.18
	c10=0.043
	c11=0.048
	c12=-0.0035
	c13=-0.18
	c14=0.14
	c15=-1.029
	c16=0.27
	c17=-1.1

	optimal_slipratio=0.11
	optimal_slipangle=0.145
}
}
;----------------------------------------------------------------------
;Wheel front:

wheel_front
{
  y=0
  z=0
  camber=0.0
  steering=1
  powered=0
  lock=69
  ackerman=1.1
  mass=10
  inertia=1.05
  width=.205
  radius=0.345
  rolling_coeff=0.015
  friction_road=1.7
  max_braking=1380
  braking_factor=1
  tire_rate=240000
  pacejka~pacejka
  { 
  }
}

wheel0~wheel_front
{
  x=0
  toe=0
  model
  {
    file=left.dof
  }
  model_brake
  {
    file=
  }
  pacejka~pacejka
  {
  }
}

wheel1~wheel_front
{
  x=0
  toe=0
  model
  {
    file=right.dof
  }
  model_brake
  {
    file=
  }
  pacejka~pacejka
  {
  }
}

;----------------------------------------------------------------------
;Wheel rear:

wheel_rear
{
  y=0
  z=0
  camber=-0.5
  steering=0
  powered=1
  mass=10
  inertia=0.95
  radius=0.345
  width=.205
  rolling_coeff=0.015
  friction_road=1.7
  braking_factor=1
  max_braking=450
  max_handbrake_torque=3000
  tire_rate=270000
  pacejka~pacejka
  {
  }
}

wheel2~wheel_rear
{
  x=0
  toe=0
  model
  {
    file=left.dof
  }
  model_brake
  {
    file=
  }
  pacejka~pacejka
  {
  }
}

wheel3~wheel_rear
{
  x=0
  toe=0
  model
  {
    file=right.dof
  }
  model_brake
  {
    file=
  }
  pacejka~pacejka
  {
  }
}

;-----------------------------------------------------------------------
;-----------------------------------------------------------------------
;Camera

camera0
{
  name=Driver
  fov=60
  model=0
  wheels=0
  view=1
  offset
  {
    x=0.36
    y=0.5
    z=-0.25
  }
  offset_to
  {

    x=0.43
    y=-0.5
    z=10
  }
  src
  {
    mass=1
    k=250
    damping=25
    maxdist=0.3
  }
  dst
  {
    mass=0
    k=0
    damping=0
    maxdist=0
  }
}
camera1
{
  name=Driver, left
  fov=60
  model=0
  wheels=0
  view=1
  offset
  {
    x=0.36
    y=0.5
    z=-0.25
  }
  offset_to
  {
    x=10.43
    y=0.5
    z=10
  }
  src
  {
    mass=1
    k=250
    damping=25
    maxdist=0.3
  }
  dst
  {
    mass=0
    k=0
    damping=0
    maxdist=0
  }
}
camera2
{
  name=Driver, right
  fov=60
  model=0
  wheels=0
  view=1
  offset
  {
    x=0.36
    y=0.5
    z=-0.25
  }
  offset_to
  {
    x=-9.57
    y=0.5
    z=10
  }
  src
  {
    mass=1
    k=250
    damping=25
    maxdist=0.3
  }
  dst
  {
    mass=0
    k=0
    damping=0
    maxdist=0
  }
}
camera3
{
  name=Driver
  fov=60
  model=0
  wheels=0
  view=1
  offset
  {
    x=-0.36
    y=0.5
    z=-0.25
  }
  offset_to
  {

    x=0.43
    y=-0.5
    z=10
  }
  src
  {
    mass=1
    k=250
    damping=25
    maxdist=0.3
  }
  dst
  {
    mass=0
    k=0
    damping=0
    maxdist=0
  }
}
camera4
{
  name=Chase
  fov=60
  model=0
  wheels=0
  view=0
  offset
  {
    x=0
    y=-0.5
    z=-7
  }
  follow
  {
    pitch=0
    yaw=1
    roll=0
  }
  angle
  {
    x=15
    y=180
    z=0
  }
}
camera5
{
  name=Chase rear
  fov=60
  model=0
  wheels=0
  view=0
  offset
  {
    x=0
    y=-0.5
    z=-7
  }
  follow
  {
    pitch=0
    yaw=1
    roll=0
  }
  angle
  {
    x=15
    y=0
    z=0
  }
}
camera6
{
  name=Free exterior
  fov=60
  model=0
  wheels=0
  view=0
  offset
  {
    x=0
    y=-0.5
    z=-7
  }
  follow

  {
    pitch=0
    yaw=0
    roll=0
  }
  angle
  {
    x=10
    y=180
    z=0
  }
}
camera7
{
	name=Side
	fov=60
	model=0
	wheels=0
	view=0
	offset
	{
		x=1.267185
		y=0.129164
		z=-2.6
	}

	angle
	{
		x=1.361085
		y=-165.972626
		z=1.298599
	}
	follow
	{
		pitch=0
		yaw=1
		roll=1
	}

}
camera8
{
  offset
  {
    x=0.0
    y=1.4
    z=-4
  }
  angle
  {
    x=0.000000
    y=130.000000
    z=0.000000
  }
  name=Chase Close
  follow
  {
    pitch=0
    yaw=0
    roll=0
  }
  fov=75
  model=0
  wheels=0
  view=0
  src
  {
    mass=6
    k=250
    damping=90
    maxdist=2
  }
  dst
  {
    mass=1
    k=100
    damping=70
    maxdist=2
  }
}
camera9
{
  name=Chase rear
  fov=60
  model=0
  wheels=0
  view=0
  offset
  {
    x=0.0
    y=-0.37
    z=0.0
  }
  follow
  {
    pitch=0
    yaw=1
    roll=0
  }
  angle
  {
    x=15
    y=0
    z=0
  }
}
flares
{
  ; front lights
  flare0
  {
    pos=-0.6933 -0.02 2.15
	;normal=0 0 1
	normal=-0.05 0.1 0.6
      color=100 50 60
	z_offset=-3000
	size_factor=0.7    
  }
  flare1
  {
    pos=0.6933 -0.02 2.15
	;normal=0 0 1
	normal=-0.05 0.1 0.6
      color=100 50 60
	z_offset=-3000
	size_factor=0.7
  }
}